- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MUserData Class Reference

# OpenMayaRender - API module for rendering | Proxy classes

Search for all occurrences

## Detailed Description

Virtual base class for user data caching.

MUserData is a virtual base class meant to provide a means for users to attach blind data to certain Maya object types such that the lifetime of the blind data is managed by Maya.

Examples:

  footPrintNode.cpp.

`#include <MUserData.h>`

List of all members.

## Public Member Functions
| MUserData (bool deleteAfterUse)
| Construct an MUserData.
virtual | ~MUserData ()
| Destructor.
bool | deleteAfterUse ()
| Returns whether or not this user data should be deleted immediately after use instead of being maintained until the internal owning object is deleted.
void | setDeleteAfterUse (bool shouldDelete)
| Sets whether or not this user data should be deleted immediately after use instead of being maintained until the internal owning object is deleted.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.

## Constructor & Destructor Documentation

MUserData | ( | bool | deleteAfterUse | ) |

Construct an MUserData.

Parameters:

  [in] | deleteAfterUse | If true, this user data will be deleted immediately after use, instead of being cached until the owning object is deleted.

## Member Function Documentation

bool deleteAfterUse | ( |  | ) |

Search for all occurrences

Returns whether or not this user data should be deleted immediately after use instead of being maintained until the internal owning object is deleted.

Returns:
  True if this user data should be deleted after use.

void setDeleteAfterUse | ( | bool | shouldDelete | ) |

Search for all occurrences

Sets whether or not this user data should be deleted immediately after use instead of being maintained until the internal owning object is deleted.

Setting this to false may allow the data to be reused in some situations. For example, if the MUserData returned by an MPxDrawOverride instance's prepareForDraw() method has its delete-after-use set to false, then Maya will retain the data between draws of that object, passing it back to the instance for reuse on subsequent draws.

Parameters:

  [in] | shouldDelete | If true this user data will be deleted after use

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  Name of this class.

MUserData MUserData MUserData MUserData MUserData MUserData MUserData MUserData MUserData MUserData
MUserData MUserData MUserData MUserData MUserData MUserData MUserData MUserData MUserData MUserData